package net.taehui.twilight

import kotlin.test.Test
import kotlin.test.assertEquals
import kotlin.test.assertFalse
import kotlin.test.assertTrue

class UtilityTest {
    @Test
    fun isEtcAsBundle() {
        assertFalse(Utility.isEtcNetBundle(""))
        assertFalse(Utility.isEtcNetBundle("Qwilight"))
        assertFalse(Utility.isEtcNetBundle("MD5"))
        assertFalse(Utility.isEtcNetBundle(":0"))
    }

    @Test
    fun getDefaultAvatarID() {
        assertEquals(Utility.getDefaultAvatarID("taehui"), "taehui")
        assertEquals(Utility.getDefaultAvatarID("@taehui"), "taehui")
    }

    @Test
    fun isValidWww() {
        assertTrue(Utility.isValidWww("https://taehui.ddns.net/qwilight"))
        assertFalse(Utility.isValidWww("/qwilight"))
    }
}